WCSLIB: wtbarr Struct Reference

WCSLIB 8.6

Loading...
Searching...
No Matches
Data Fields
wtbarr Struct Reference

Extraction of coordinate lookup tables from BINTABLE. More...

`#include <getwcstab.h>`

## Data Fields
int | i
int | m
int | kind
char | extnam [72]
int | extver
int | extlev
char | ttype [72]
long | row
int | ndim
int * | dimlen
double ** | arrayp

## Detailed Description

Extraction of coordinate lookup tables from BINTABLE.

Function wcstab(), which is invoked automatically by wcspih(), sets up an array of wtbarr structs to assist in extracting coordinate lookup tables from a binary table extension (BINTABLE) and copying them into the tabprm structs stored in wcsprm. Refer to the usage notes for wcspih() and wcstab() in wcshdr.h, and also the prologue to tab.h.

For C++ usage, because of a name space conflict with the wtbarr typedef defined in CFITSIO header fitsio.h, the wtbarr struct is renamed to wtbarr_s by preprocessor macro substitution with scope limited to wtbarr.h itself, and similarly in wcs.h.

## Field Documentation

## ◆ i

int wtbarr::i

(Given) Image axis number.

## ◆ m

int wtbarr::m

(Given) wcstab array axis number for index vectors.

## ◆ kind

int wtbarr::kind

(Given) Character identifying the wcstab array type:

- c: coordinate array,
- i: index vector.

## ◆ extnam

char wtbarr::extnam

(Given) EXTNAME identifying the binary table extension.

## ◆ extver

int wtbarr::extver

(Given) EXTVER identifying the binary table extension.

## ◆ extlev

int wtbarr::extlev

(Given) EXTLEV identifying the binary table extension.

## ◆ ttype

char wtbarr::ttype

(Given) TTYPEn identifying the column of the binary table that contains the wcstab array.

## ◆ row

long wtbarr::row

(Given) Table row number.

## ◆ ndim

int wtbarr::ndim

(Given) Expected dimensionality of the wcstab array.

## ◆ dimlen

int * wtbarr::dimlen

(Given) Address of the first element of an array of int of length ndim into which the wcstab array axis lengths are to be written.

## ◆ arrayp

double ** wtbarr::arrayp

(Given) Pointer to an array of double which is to be allocated by the user and into which the wcstab array is to be written.